Bug 217534 - redhat-config-network: crash when adding a route to a network card
redhat-config-network: crash when adding a route to a network card
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-network (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 09:41 EST by Paolo De Nictolis
Modified: 2009-01-20 16:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* if a user attempted to add a static route to a network adapter, system-config-network would crash. The version of system-config-network supplied with this advisory handles static routes correctly and will not crash when the user adds one.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:54:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash dump of redhat-config-network (1.22 KB, text/plain)
2006-11-28 09:41 EST, Paolo De Nictolis
no flags Details

  None (edit)
Description Paolo De Nictolis 2006-11-28 09:41:56 EST
Description of problem:
When I try and add a static Route to my network card, redhat-config-network crashes.


Version-Release number of selected component (if applicable):


How reproducible:
Try and add a static Route to a network card

Steps to Reproduce:
1. Go in System/Administration/Network
2. Double-click a network card
3. Go to Route tab
4. Add a route, and click OK
  
Actual results:
redhat-config-network crashes

Expected results:
Route had to be added.

Additional info:
Comment 1 Paolo De Nictolis 2006-11-28 09:41:56 EST
Created attachment 142290 [details]
Crash dump of redhat-config-network
Comment 3 RHEL Product and Program Management 2008-06-02 16:41:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Phil Knirsch 2008-06-13 08:47:28 EDT
This bug needs a review from the component owner before granting Devel ACK.

Thanks,

Read ya, Phil
Comment 5 Phil Knirsch 2008-06-19 11:27:11 EDT
Granting Devel ACK after review of the package maintainer

Thanks,

Read ya, Phil
Comment 11 Ruediger Landmann 2009-01-08 17:49:43 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* if a user attempted to add a static route to a network adapter, system-config-network would crash. The version of system-config-network supplied with this advisory handles static routes correctly and will not crash when the user adds one.
Comment 12 errata-xmlrpc 2009-01-20 16:54:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0193.html

Note You need to log in before you can comment on or make changes to this bug.